/**
 * Created by zhang on 2019/12/3.
 */
let express = require('express');

module.exports = function (app) {
    let importRouter = express.Router();
    let importController = require('../controllers/import_controller');
    importRouter.post('/importProject',importController.action);
    importRouter.post('/exportProject',importController.action);
    importRouter.post('/copyProject',importController.action);
    importRouter.post('/importInterface',importController.action);
    importRouter.post('/getDataForInterface',importController.action);
    importRouter.post('/loadSEIProjectData',importController.action);
    importRouter.post('/importChongqingProject',importController.action);
    importRouter.post('/importExampleProject',importController.action);
    importRouter.post('/copyConstructionProject',importController.action);
    importRouter.post('/prepareInitialData',importController.action);
    importRouter.get('/test',function (req,res) {
        res.json("hello word");
    })
    app.use('/import', importRouter);
};
